org.springframework.data.projection

## Class SpelAwareProxyProjectionFactory.SpelAwareProjectionInformation

- java.lang.Object
- - org.springframework.data.projection.SpelAwareProxyProjectionFactory.SpelAwareProjectionInformation

All Implemented Interfaces:
  ProjectionInformation

Enclosing class:
  SpelAwareProxyProjectionFactory

    protected static class SpelAwareProxyProjectionFactory.SpelAwareProjectionInformation
    extends Object

### Constructor Summary

Constructors
`protected` `SpelAwareProjectionInformation(Class<?> projectionType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<PropertyDescriptor>` `getInputProperties()` Returns the properties that will be consumed by the projection type.
`Class<?>` `getType()` Returns the projection type.
`boolean` `isClosed()` Returns whether supplying values for the properties returned via `ProjectionInformation.getInputProperties()` is sufficient to create a working proxy instance.
`protected boolean` `isInputProperty(PropertyDescriptor descriptor)` Returns whether the given `PropertyDescriptor` describes an input property for the projection, i.e. a property that needs to be present on the source to be able to create reasonable projections for the type the descriptor was looked up on.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpelAwareProjectionInformation

    protected SpelAwareProjectionInformation(Class<?> projectionType)

### Method Detail

#### isInputProperty

    protected boolean isInputProperty(PropertyDescriptor descriptor)

Returns whether the given `PropertyDescriptor` describes an input property for the projection, i.e. a property that needs to be present on the source to be able to create reasonable projections for the type the descriptor was looked up on.

Parameters:
  `descriptor` - will never be null.
Returns:

#### getType

    public Class<?> getType()

Description copied from interface: `ProjectionInformation`
Returns the projection type.

Specified by:
  `getType` in interface `ProjectionInformation`
Returns:
  will never be null.

#### getInputProperties

    public List<PropertyDescriptor> getInputProperties()

Description copied from interface: `ProjectionInformation`
Returns the properties that will be consumed by the projection type.

Specified by:
  `getInputProperties` in interface `ProjectionInformation`
Returns:
  will never be null.

#### isClosed

    public boolean isClosed()

Description copied from interface: `ProjectionInformation`
Returns whether supplying values for the properties returned via `ProjectionInformation.getInputProperties()` is sufficient to create a working proxy instance. This will usually be used to determine whether the projection uses any dynamically resolved properties.

Specified by:
  `isClosed` in interface `ProjectionInformation`
Returns: